# DuitNow Online Banking/Wallets

***

<mark style="color:red;">v2</mark>  <mark style="color:blue;">`GET`</mark>  `console.bayar.cash/api/v2/duitnow/dobw/banks`\ <mark style="color:red;">v3</mark>  <mark style="color:blue;">`GET`</mark>  `api.console.bayar.cash/v3/duitnow/dobw/banks`

***

This API will return list of bank codes for DuitNow Online Banking/Wallets (also known as DOBW or DuitNow OBW) payment channel. Use this list for usage of `payer_bank_code` and `payer_bank_name` in payment request.

Example of sending <mark style="color:blue;">`GET`</mark> request with cURL.

```markup
curl -X GET https://api.console.bayar.cash/v3/duitnow/dobw/banks \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <Personal_Access_Token>'
```

Example of JSON structured response.

```json
[
    {
        "bank_name": "Affin Bank",
        "bank_code": "PHBMMYKL",
        "bank_availability": true
    },
    {
        "bank_name": "Agro Bank",
        "bank_code": "AGRO01",
        "bank_availability": true
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.webimpian.support/bayarcash/bank-list/duitnow-online-banking-wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
